TESTING/EIG/sget40.f(3)

NAME
TESTING/EIG/sget40.f

SYNOPSIS

  Functions/Subroutines
subroutine sget40 (rmax, lmax, ninfo, knt, nin)
SGET40

Function/Subroutine Documentation

  subroutine sget40 (real rmax, integer lmax, integer, dimension( 2 ) ninfo, integer knt, integer nin)

SGET40

Purpose:

    !>
    !> SGET40 tests STGEXC, a routine for swapping adjacent blocks (either
    !> 1 by 1 or 2 by 2) on the diagonal of a pencil in real generalized Schur form.
    !> Thus, STGEXC computes an orthogonal matrices Q and Z such that
    !>
    !>     Q' * ( [ A B ], [ D E ] ) * Z  = ( [ C1 B1 ], [ F1 E1 ] )
    !>          ( [ 0 C ]  [   F ] )        ( [ 0  A1 ]  [    D1]  )
    !>
    !> where (C1,F1) is similar to (C,F) and (A1,D1) is similar to (A,D).
    !> Both (A,D) and (C,F) are assumed to be in standard form
    !> and (A1,D1) and (C1,F1) are returned with the
    !> same properties.
    !>

Parameters
    RMAX

    !>          RMAX is REAL
    !>          Value of the largest test ratio.
    !>

    LMAX

    !>          LMAX is INTEGER
    !>          Example number where largest test ratio achieved.
    !>

    NINFO

    !>          NINFO is INTEGER array, dimension (2)
    !>          NINFO( 1 ) = STGEXC without accumulation returned INFO nonzero
    !>          NINFO( 2 ) = STGEXC with accumulation returned INFO nonzero
    !>

    KNT

    !>          KNT is INTEGER
    !>          Total number of examples tested.
    !>

    NIN

    !>          NIN is INTEGER
    !>          Input logical unit number.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 84 of file sget40.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.